---
title: DataTransfer.mozSourceNode
slug: Web/API/DataTransfer/mozSourceNode
tags:
  - API
  - Non-standard
  - Property
  - Reference
  - drag and drop
---
<div>{{APIRef("HTML Drag and Drop API")}}</div>

<p>{{ Non-standard_header() }}</p>

<p>The <strong><code>DataTransfer.mozSourceNode</code></strong> property is used to determine the {{domxref("Node")}} over which the mouse cursor was located when the drag operation was initiated (for example, when a {{HTMLElement("button")}} was clicked). For external drags or if the calling function cannot reach the node, <code>null</code> is returned.</p>

<div class="note"><strong>Note:</strong> This property is Gecko-specific.</div>

<p>This property is {{readonlyInline}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>dataTransfer</em>.mozSourceNode;
</pre>

<h3 id="Return_Value">Return value</h3>

<p>A {{domxref("Node")}} representing <code>node</code> where the drag originated. Returns <code>null</code> for external drags or if the node cannot be accessed.</p>

<h2 id="Example">Example</h2>

<p>This example shows the use of the <code>mozSourceNode</code> property in the {{event("dragend")}} event handler.</p>

<pre class="brush: js">function dragend_handler(event)
{
  var dragData = event.dataTransfer;
  var node = dragData.mozSourceNode;
  if (node != null)
    console.log("mozSourceNode = " + dragData.mozSourceNode);
  else
    console.log("mozSourceNode is null");
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>This property is not defined in any Web standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DataTransfer.mozSourceNode")}}</p>

<h2 id="See_also">See also</h2>

<p><a> </a></p>
